From 45d9e36db836f86ddb04002661d48939023b2f7d Mon Sep 17 00:00:00 2001
From: Thomas Tsou <tom@tsou.cc>
Date: Mon, 8 Jul 2013 15:47:44 +0200
Subject: [PATCH] Transceiver52M: Disable dynamic filler table setting and fix
 deallocation

---
 Transceiver52M/DriveLoop.cpp | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

diff --git a/Transceiver52M/DriveLoop.cpp b/Transceiver52M/DriveLoop.cpp
index cd84d03..2ccd498 100644
--- a/Transceiver52M/DriveLoop.cpp
+++ b/Transceiver52M/DriveLoop.cpp
@@ -111,13 +111,6 @@ void DriveLoop::pushRadioVector(GSM::Time &nowTime)
       // Even if the burst is stale, put it in the fillter table.
       // (It might be an idle pattern.)
       LOG(NOTICE) << "dumping STALE burst in TRX->USRP interface";
-      if (i == mC0) {
-        const GSM::Time& nextTime = staleBurst->getTime();
-        int TN = nextTime.TN();
-        int modFN = nextTime.FN() % fillerModulus[i][TN];
-        delete fillerTable[i][modFN][TN];
-        fillerTable[i][modFN][TN] = staleBurst;
-      }
     }
 
     int TN = nowTime.TN();
@@ -130,12 +123,9 @@ void DriveLoop::pushRadioVector(GSM::Time &nowTime)
     // if queue contains data at the desired timestamp, stick it into FIFO
     if (next = (radioVector*) mTransmitPriorityQueue[i].getCurrentBurst(nowTime)) {
       LOG(DEBUG) << "transmitFIFO: wrote burst " << next << " at time: " << nowTime;
-      if (i == mC0) {
-        delete fillerTable[i][modFN][TN];
-        fillerTable[i][modFN][TN] = new signalVector(*(next));
-        mIsFiller[i] = false;
-      } 
       mTxBursts[i] = next;
+      mIsFiller[i] = false;
+      mIsZero[i] = false;
     }
   }
 
-- 
1.8.1.4

